#include <bits/stdc++.h>

using namespace std;

int main()
{
    int k, i, j, b, n;

    cin >> n;
        int a[n];
    for (i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    if(n <= 2)
    {
        cout << a[1] << " " << a[0];
    }
    else
    {
        for(i = 0; i < n; i++)
        {
            for(j = 0; j < n; j++)
            {
                if(a[i] > a[j])
                {
                k = a[i];
                a[i] = a[j];
                a[j] = k;
                break;
                }

            }
        }
            for(i = 0; i<n; i++)
    {
        cout << a[i] << " ";
    }
    }


    return 0;
}